Subject: Ticket Assigned - Delivery
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 11 Apr 2020 06:53:46 +0000

Hi Shivani Rani,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery It’s one if the worst online experiences I have even encountered. When I was ordering they wrote the delivery will be here maximum by april 8th, today it is 11th and I still can’t see any update in the order’s details! The thing is that my daughter is promised with the toy and I can’t even give a date.

iOS Version: 13.3.1
App Version: 8.8.9 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/669799